Image redirect implementation is very confusing
Closed, ResolvedPublic

Description

The current (rr34147) image redirect implementation is very confusing.

  • non-existing page shown on local wiki when using shared image repo[1]
  • no file links shown on local wiki when using shared image repo[1]
  • redirect does not work on redirect page in image namespace[2]
  • no file links shown for redirect page[2]

[1] http://nl.wikipedia.org/wiki/Afbeelding:BSicon_.svg
[2] http://commons.wikimedia.org/wiki/Image:BSicon_.svg


Version: 1.13.x
Severity: major

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz13943.
siebrand created this task.Via LegacyMay 4 2008, 12:54 AM
vvv added a comment.Via ConduitMay 9 2008, 8:37 PM

3 was fixed by Bryan. 2 and 4 may be looked up using Special:Whatlinkshere. 1 still doesn't work, will fix tomorrow.

bzimport added a comment.Via ConduitMay 10 2008, 7:47 AM

Bryan.TongMinh wrote:

(In reply to comment #2)

3 was fixed by Bryan. 2 and 4 may be looked up using Special:Whatlinkshere. 1
still doesn't work, will fix tomorrow.

Well I guess I'm totally lost in the redirect code then. It is supposed to work. I have no idea why it doesn't.

vvv added a comment.Via ConduitMay 10 2008, 7:49 AM

(In reply to comment #3)

(In reply to comment #2)
> 3 was fixed by Bryan. 2 and 4 may be looked up using Special:Whatlinkshere. 1
> still doesn't work, will fix tomorrow.
>

Well I guess I'm totally lost in the redirect code then. It is supposed to
work. I have no idea why it doesn't.

I think it's because of caching bugs.

bzimport added a comment.Via ConduitMay 10 2008, 11:13 AM

Bryan.TongMinh wrote:

1 fixed in r34568.

bzimport added a comment.Via ConduitMay 11 2008, 7:02 PM

Bryan.TongMinh wrote:

*** Bug 14078 has been marked as a duplicate of this bug. ***

Gilles raised the priority of this task from "High" to "Unbreak Now!".Via WebDec 4 2014, 10:19 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles added a project: Multimedia.
Gilles lowered the priority of this task from "Unbreak Now!" to "High".Via ConduitDec 4 2014, 11:21 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.